Bug 46111 - up2date does not check for mkinitrd before kernel update
Summary: up2date does not check for mkinitrd before kernel update
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 6.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-26 22:26 UTC by Xander D Harkness
Modified: 2016-06-07 22:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-05 20:10:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Xander D Harkness 2001-06-26 22:26:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
I used up2date to update the kernel on a remote box (yes crazy I know) and
I got the following message:
preparing...                ###########################################
[100%]
   1:kernel                 ########################################### [
16%]
   2:kernel-doc             ########################################### [
33%]
   3:kernel-headers         ########################################### [
50%]
error: cannot remove /usr/src/linux-2.2.14 - directory not empty
   4:kernel-ibcs            ########################################### [
66%]
   5:kernel-source          ########################################### [
83%]
   6:kernel-utils           ###########################################
[100%]
Traceback (innermost last):
  File "/usr/sbin/up2date", line 831, in ?
    main()
  File "/usr/sbin/up2date", line 806, in main
    sys.exit(batchRun(onlyList, pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 596, in batchRun
    up2date.installBootLoader(kernelsToInstall)
  File "/usr/share/rhn/up2date/up2date.py", line 2222, in installBootLoader
    ret = lilocfg.installNewImages(kernelList,test=0)
  File "/usr/share/rhn/up2date/lilocfg.py", line 300, in installNewImages
    (initrd,initrdExists) = makeInitrd(newimage, "/")
  File "/usr/share/rhn/up2date/lilocfg.py", line 78, in makeInitrd
    root = instRoot)
  File "/usr/share/rhn/up2date/iutil.py", line 47, in execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /sbin/mkinitrd can not be run
[root@www i386]# /sbin/mkinitrd
bash: /sbin/mkinitrd: No such file or directory

It seems to me that up2date should see mkinitrd as a dependancy if it needs
it for this operation

How reproducible:
Didn't try


Additional info:

Comment 1 Adrian Likins 2001-07-03 02:25:00 UTC
hmm, indeed. Not sure why a machine wouldnt have mkinitrd installed,
as the kernel packages require it, so it is in the base package.

But just to be on the paranoid side, I'll add an explicit requires
to the rpm.


Note You need to log in before you can comment on or make changes to this bug.